{% extends "layout.html.twig" %}

{% block content %}
	<div class="row">
		<a href="{{ BASE_URL }}/adherent/creerAdherent/"> Ajouter un Adhérent </a>
		<table border="2">
			<caption>Recapitulatif des Adhérents</caption>
			<thead>
			<tr>
				<th>nom</th>
				<th>adresse</th>
				<th>date de paiement</th>
				<th>informations</th>
				<th>opérations</th>
			</tr>
			</thead>
			<tbody>
			{% if adherents is not empty %}
				{% for adherent in adherents %}
					<tr>
						<td>
							{{ adherent.nomAdherent }}
						</td>
						<td>
							{{ adherent.adresse }}
						</td>
						<td>
							{{ adherent.datePaiement | date('d-m-Y') }}
						</td>
						<td>
							{% if adherent.nbrEmprunt>0 %}{{ adherent.nbrEmprunt }} emprunt(s) en cours<br>{% endif %}
							{% if adherent.nbrEmprunt>0 and adherent.retard==1 %} <strong style="background-color:red"> ⚠ </strong> <br>{% endif %}
							{%  if adherent.retard==1 %}
								<span style="color:red">paiement en retard depuis : {{ adherent.datePaiementFutur | date('d-m-Y') }}</span><br>
							{%  elseif adherent.retardProche==1 %}
								<span style="color:red">paiement à renouveler</span>
							{% endif %}
						</td>
						<td>
							<a href="{{ BASE_URL }}/adherent/modifierAdherent/{{ adherent.idAdherent }}">modifier</a>
							<a href="{{ BASE_URL }}/adherent/supprimerAdherent/{{ adherent.idAdherent }}">supprimer</a>
						</td>
					</tr>
				{% endfor %}
			{% else %}
				<tr>
					<td> pas d'auteur dans la base de données</td>
				</tr>
			{% endif %}
			<tbody>
		</table>
	</div>
{% endblock %}